Subject: Ticket Assigned -
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 09 May 2021 03:19:27 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.   I am really disappointed in the online shopping experience!!
I mean you send me to wait for the order on a random day without any consideration for my schedule & you do not provide me with a time estimate or the delivery service contact information!!! I’m now stuck home when I have important appointments to attend to, without even knowing whether the order will show up or not!!! Needless to say that the customer service is busy ALL THE TIME! Which means I don’t even get to try to resolve the issue! I’m going to be causing you a lot of trouble, if I don’t get my prepaid order today.

Sarah Fayed
Assistant Lecturer
English Department - British University in Egypt (BUE)
Misr Ismailia Desert Road
El Sherouk City - Cairo
Postal No. 11837 - P.O. Box 43
Tel.: +202 26300013/14/15/16/17/18
E-mail: [email-masked]
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2537244